%   PLOTS THE SPLINE APPROXIMATION RESULT

%loading the bivariate cubic spline
pp = load('psic_data.mat');

%construct grid {w, N} = {massflow, speed}
w = -10 : 10/5 : 80;
N = 20000 : 5000/2 : 50000;
z = fnval(pp, {w, N});
for i = 1 : length(z(:,1))
    for j = 1 : length(z(1,:))
        if z(i,j) < 1
            z(i,j) = 1;
        end
    end
end

mesh(w, N, z.');
xlabel('Corrected mass flow lb/m'); ylabel('RPM'); zlabel('Pressure ratio (P01/P02)');
axis([-10 80 20000 50000 1 2.4])
%view(-40,15); %alternative view