%% PLOTS THE POLYFIT VARIANT
%%
%% Author: Bjrn Ove Barstad

compare_to_real = true;

if compare_to_real
    %define the speedlines to be drawn
    N = [20000 25000 30000 35000 40000 45000 50000];

    %compute values of the compressor characteristic
    PSI_c = cell(1, length(N));
    for i = 1 : length(N)
        for w = -10 : 1 : 80
            PSI_c(i) = {  [PSI_c{i} getCharacteristic(w, N(i))]  };
        end
    end

    %plot
    w = -10 : 1 : 80;
    scrsz = get(0,'ScreenSize');
    figure('Position',[(scrsz(3)/2 - 466/2) (scrsz(4)/2 - 411/2) 466 411])
    plot(w,PSI_c{1},w,PSI_c{2},w,PSI_c{3},w,PSI_c{4},w,PSI_c{5},w,PSI_c{6},w,PSI_c{7}),grid,axis([-10 90 1.0 2.4])
    xlabel('Corrected mass flow lb/min')
    ylabel('Pressure ratio')
else
    %make a plot at P_atm, 20 deg C and in kg/s
    %29.92 Hg = 1 atm
	P_01 = 29.92;
	%527.67 Rankine = 20 deg C
	T_01 = 527.67;
    
    %conversion factor
    %actual flow {kg/s} = corrected flow {lb/min} * (p_01/28.4) / sqrt(T_01/545) * 0.4536/60
    %actual flow {kg/s} = corrected flow {lb/min} * c
    c = (P_01/28.4) / sqrt(T_01/545) * (0.4536/60);
    
    %define the speedlines to be drawn
    N = [20000 25000 30000 35000 40000 45000 50000];

    %compute values of the compressor characteristic
    PSI_c = cell(1, length(N));
    for i = 1 : length(N)
        for w = -10 : 1 : 80
            PSI_c(i) = {  [PSI_c{i} getCharacteristic(w, N(i))]  };
        end
    end
    
    %plot
    w = (-10 : 1 : 80)*c;
    scrsz = get(0,'ScreenSize');
    figure('Position',[(scrsz(3)/2 - 466/2) (scrsz(4)/2 - 411/2) 466 411])
    plot(w,PSI_c{1},w,PSI_c{2},w,PSI_c{3},w,PSI_c{4},w,PSI_c{5},w,PSI_c{6},w,PSI_c{7}),grid,axis([-10*c 90*c 1.0 2.4])
    xlabel('Mass flow kg/s')
    ylabel('Pressure ratio')
end
