clear all

%speed of sound in plenum and volume
a_p = 343; %m/s
V_2 = 0.1; %m^3 (original plenum)
V_1 = 0.05;

%duct area and length
d_duct = 0.07; %70 mm
Ac = pi/4 * d_duct^2; %0.0038 m^2
Lc = 2.85; %m

%ambient pressure and temperature
p_01 = 101325; %Pascals
T_01 = 20; %Celcius

%density air, 20 deg C
rho_AIR = 1.204; %kg/m^3
% %density air, 30 deg C
% rho_AIR = 1.164;

%energy transfer coeff
mu = 0.99;

%impeller inertia
J = 5e-4; %kg m^2

%impeller perimeter radius
D2 = 0.119;
r_2 = D2 / 2;

%conversion factors
T_01_rankine = (T_01 +  273.15) * 9/5;
p_01_hg = p_01 / 3375;
si_to_corrected = sqrt(T_01_rankine/545) / (p_01_hg/28.4) * 60/0.4536;
rads_to_rpm = 60/(2*pi);

k1 = a_p^2/V_1;
k2 = a_p^2/V_2;
k3 = Ac/Lc;
k = 0.000016; %tuned

Pc_star = 4.564e4;
w_star = 0.231;
p2_star = 1.0458e5;
p1_star = 6.0267e4;
