% DRAWS ONE CHARACTERISTIC FOR THE SPEED
% w = 3640 rads per sec
% Needs "init_vortech_plain.m" in memory
% and getPsic.m in the same directory
%
% Author: Bjrn Ove Barstad

%w_draw = 3640;
w_draw = 3300;
w_draw_rpm = w_draw * rads_to_rpm;
w_corrected = -10 : 80;
Psic = getPsic( w_corrected, w_draw_rpm );

w = w_corrected .* ( 1 / si_to_corrected );


%plot
scrsz = get(0,'ScreenSize');
figure(1)
set(1,'Position',[(scrsz(3)/2 - 466/2) (scrsz(4)/2 - 411/2) 466 411]);
plot(w, Psic, 0.2039, 1.5964, 'o', 0.2599, 1.5178, '+'),grid,axis([-10*1/si_to_corrected 90*1/si_to_corrected 1.0 2.4])
xlabel('Mass flow kg/s')
ylabel('Pressure ratio')