clear all

%speed of sound in plenum and volume
a_p = 343; %m/s
V_2 = 0.1; %m^3 (original plenum)
V_1 = 0.05;

%duct area and length
d_duct = 0.07; %70 mm
A = pi/4 * d_duct^2; %0.0038 m^2
L = 2.85; %m

%ambient pressure and temperature
p_01 = 101325; %Pascals
T_01 = 20; %Celcius

%density air, 20 deg C
rho_AIR = 1.204; %kg/m^3
% %density air, 30 deg C
% rho_AIR = 1.164;

%energy transfer coeff
mu = 0.99;

%impeller inertia
J = 5e-4; %kg m^2

%impeller perimeter radius
D2 = 0.119;
r_2 = D2 / 2;

%orifice opening
A_t = A;

%conversion factors
T_01_rankine = (T_01 +  273.15) * 9/5;
p_01_hg = p_01 / 3375;
si_to_corrected = sqrt(T_01_rankine/545) / (p_01_hg/28.4) * 60/0.4536;
rads_to_rpm = 60/(2*pi);

%sgn(p1 - p2) = lim(zeta -> inf) tanh(zeta(p1 - p2))
zeta = 1000;

%loading surge control line
load('scl.mat');

%RECYCLE PI-controller settings
Kp_recycle = 2.5;
Ki_recycle = 5.5;
