
% Generates proper plot from the simulation


%MASS FLOW PLOT
subplot(3,2,1);
plot(sim_t.signals.values, sim_w.signals.values)
title('Mass flow')
xlabel('t [sec]')
ylabel('kg/s')

%THROTTLE FLOW PLOT
subplot(3,2,2);
plot(sim_t.signals.values, sim_wt.signals.values),axis([0 10 -0.2 0.6])
title('Throttle flow')
xlabel('t [sec]')
ylabel('kg/s')

%FEED FLOW AND RECYCLE FLOW PLOT
subplot(3,2,3);
plot(sim_t.signals.values, sim_wf.signals.values, sim_t.signals.values, sim_wr.signals.values),axis([0 10 -0.2 0.6])
title('Feed flow and Recycle flow')
xlabel('t [sec]')
ylabel('kg/s')
legend('Feed flow', 'Recycle flow')

%PRESSURE PLOT
subplot(3,2,4);
plot(sim_t.signals.values, sim_p1.signals.values/p_01, sim_t.signals.values, sim_p2.signals.values/p_01)
title('Pressures')
xlabel('t [sec]')
ylabel('p/p_{01}')
legend('V1 pressure', 'V2 pressure')

%OPERATING POINT PLOT
w = 0:0.1:0.5;
y_avoid = PF_avoid(1).*(w .* si_to_corrected) + PF_avoid(2);
load('sl.mat'); y_surge = PF_surge(1).*(w .* si_to_corrected) + PF_surge(2);
subplot(3,2,5);
plot(sim_w.signals.values, sim_psic.signals.values, w, y_avoid, w, y_surge),axis([-0.1 0.5 1 1.7])
title('Operating point')
xlabel('kg/s')
ylabel('\Psi_c')
legend('Operating point', 'SCL', 'SL');

%COMPRESSOR SPEED PLOT
subplot(3,2,6);
plot(sim_t.signals.values, sim_omega.signals.values)
title('Compressor speed')
xlabel('t [sec]')
ylabel('rad/s')